## yakuake-trinity 14.0.4

=== debian/changelog ===
yakuake-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 14:03:39 +0200

yakuake-trinity (2.8.1-2ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

yakuake-trinity (2.8.1-2ubuntu0) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

yakuake-trinity (2.8.1-1ubuntu2) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 09 Dec 2008 11:03:00 -0600

yakuake (2.8.1-1ubuntu2) hardy; urgency=low

  * Fixing broken upload due to MD5 differences

 -- Richard A. Johnson <nixternal@kubuntu.org>  Fri, 18 Jan 2008 15:00:19 -0600

yakuake (2.8.1-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - kubuntu_01_kdepot.patch and kubuntu_03_clean_desktop_file.patch

 -- Richard A. Johnson <nixternal@kubuntu.org>  Fri, 18 Jan 2008 14:21:25 -0600

yakuake (2.8.1-1) unstable; urgency=low

  * New upstream release:
    - Fix non traslucent issues for non-KDE users. (Closes: 349144)
    - French translation is back. (Closes: #432091)
  * Move Homepage to source field.
  * Update to Standards-Version 3.7.3, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 17 Jan 2008 21:54:40 +0100

yakuake (2.8.1-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Richard A. Johnson <nixternal@kubuntu.org>  Thu, 17 Jan 2008 12:07:57 -0600

yakuake (2.8-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/: README for changing Global Access Key
    - debian/patches: kubuntu_01_kdepot.diff
    - debian/patches: kubuntu_03_clean_desktop_file.patch adding Categories
      and GenericName
  * debian/control:
    - Updated Maintainer field to Ubuntu MOTU
    - Updated Homepage by moving it up and removing it from the bottom

 -- Richard A. Johnson <nixternal@kubuntu.org>  Tue, 20 Nov 2007 10:04:32 -0600

yakuake (2.8-1) unstable; urgency=low

  * New upstream release.
  * Update menu file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 01 Oct 2007 22:47:16 +0200

yakuake (2.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 03 Oct 2007 10:26:43 +0200

yakuake (2.8~beta1-1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable, Remaining Ubuntu changes:
    - Added README for changing Global Access Key (Closes: Malone 3209)
  * New Ubuntu changes:
    - Drop kubuntu_02_no_startup_notify_on_session_restore.patch
    - recreated kubuntu_01_kdepot.diff as last wouldn't apply clean
    - recreated kubuntu_03_clean_desktop_file.patch removing Categories and
      adding GenericName

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 21 May 2007 21:57:21 -0500

yakuake (2.8~beta1-1) unstable; urgency=low

   * The 'I like picnics indoors' release.
   * Pre-release of new upstream version. (Closes: #389108)
   * Drop patches. Relibtoolization in build time.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 07 May 2007 23:53:22 +0100

yakuake (2.7.5-4ubuntu2) feisty; urgency=low 

  * Add kubuntu_03_clean_desktop_file.patch, adding Categories
    and GenericName.

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 05 Feb 2007 15:51:03 +0100

yakuake (2.7.5-4ubuntu1) feisty; urgency =low

  * Re-sync with Debian.  Changes kept:
    * Added README for changing Global Access Key (Closes: Malone 3209)
      -- Martin Meredith <mez@ubuntu.com>  Sat, 21 Jan 2006 07:40:08 +0000
    * added patches/kubuntu_02_no_startup_notify_on_session_restore.patch
      -- Martin Meredith <mez@ubuntu.com>  Fri, 30 Dec 2005 18:14:21 +0000
    * Add kubuntu_01_kdepot.diff for .pot generation
      -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  8 Dec 2005 03:42:35 +0000
  * Re-add dh_iconcache

 -- Barry deFreese <bddebian@comcast.net>  Thu,  1 Feb 2007 22:16:03 -0500

yakuake (2.7.5-4) unstable; urgency=low

  * Modified building system for using quilt.
  * Added space to homepage pseudo header.
  * Fixed .desktop file. (Closes: #389108)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 28 Oct 2006 14:07:05 +0200

yakuake (2.7.5-3) unstable; urgency=low

  * Bumped compat to 5.
  * Bumped Standards-Version to 3.7.2, no changes required.
  * Removing spanish translation :( (Closes: #384929) 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sun, 10 Sep 2006 21:37:35 +0200

yakuake (2.7.5-2) unstable; urgency=medium

  * Substituting re-libtoolizing at build time with patches. (Closes: #379821)
  * Adding spanish translation from Juan Manuel Garcia Molina 
    <juanma@debian.org> (Closes: #359244)
  * Added copyright of the debian packaging.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Thu, 27 Jul 2006 21:03:17 +0200

yakuake (2.7.5-1) unstable; urgency=low

  * New upstream release. Besides, yakuake has also a new upstream author.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sun, 22 Mar 2006 22:43:07 +0100

yakuake (2.7.3-2) unstable; urgency=low

  * The package doesn't depend from libfreetype6 and other spurious
    libraries anymore.
  * Added dependency on konsole. (Closes: #347437)

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat,  7 Jan 2006 18:43:27 +0100

yakuake (2.7.3-1) unstable; urgency=low

  * Initial release. (Closes: #336262)

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat, 29 Oct 2005 11:08:43 +0000

## yakuake-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( yakuake )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( yakuake )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )



##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## yakuake-trinity 14.0.5

=== debian/changelog ===
yakuake-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:57:14 +0200

=== debian/control ===
Source: yakuake-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://extragear.kde.org/apps/yakuake/

Package: yakuake-trinity
Architecture: any
Depends: ${shlibs:Depends}, konsole-trinity
Replaces: yakuake-kde3 (<< 4:14.0.0~), yakuake-trinity (<< 4:14.0.0~)
Breaks: yakuake-kde3 (<< 4:14.0.0~), yakuake-trinity (<< 4:14.0.0~)
Description: a Quake-style terminal emulator based on TDE Konsole technology [Trinity]
 YaKuake is inspired from the terminal in the Quake game: when you press a key 
 (by default F12, but that can be changed) a terminal window slides down from 
 the top of the screen. Press the key again, and the terminal slides back. 
 .
 It is faster than a keyboard shortcut because it is already loaded into memory 
 and as such is very useful to anyone who frequently finds themselves switching 
 in and out of terminal sessions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug) 
	
#There is not any interesting doc to install.
INSTALL_DOCS_ALL :=

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

### Libtool and Automake updates
post-patches:: debian/stamp-autothings-update
debian/stamp-autothings-update:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs

	touch $@

clean::
	rm -f debian/stamp-autothings-update

## yakuake-trinity 14.0.6

=== debian/changelog ===
yakuake-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:58:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://extragear.kde.org/apps/yakuake/
 
 Package: yakuake-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, konsole-trinity
-Replaces: yakuake-kde3 (<< 4:14.0.0~), yakuake-trinity (<< 4:14.0.0~)
-Breaks: yakuake-kde3 (<< 4:14.0.0~), yakuake-trinity (<< 4:14.0.0~)
+Replaces: yakuake-trinity (<< 4:14.0.0~)
+Breaks: yakuake-trinity (<< 4:14.0.0~)
 Description: a Quake-style terminal emulator based on TDE Konsole technology [Trinity]
  YaKuake is inspired from the terminal in the Quake game: when you press a key 
  (by default F12, but that can be changed) a terminal window slides down from

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/debian-qt-kde.mk

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## yakuake-trinity 14.0.8

=== debian/changelog ===
yakuake-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:58 +0200

## yakuake-trinity 14.0.9

=== debian/changelog ===
yakuake-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:19:30 +0200

## yakuake-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( yakuake )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.10 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
yakuake-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## yakuake-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( yakuake )
-set( VERSION R14.0.10 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -68,9 +68,12 @@
 ##### directories
 
 add_subdirectory( yakuake )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
yakuake-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 08 Oct 2021 00:06:14 +0200

## yakuake-trinity 14.0.12

=== debian/changelog ===
yakuake-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 15 Feb 2022 23:29:52 +0100

## yakuake-trinity 14.0.13

=== debian/changelog ===
yakuake-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 16:29:10 +0200

## yakuake-trinity 14.1.0

=== debian/changelog ===
yakuake-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## yakuake-trinity 14.1.1

=== debian/changelog ===
yakuake-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Sep 2023 02:53:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: yakuake-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://extragear.kde.org/apps/yakuake/

## yakuake-trinity 14.1.2

=== debian/changelog ===
yakuake-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Apr 2024 01:37:35 +0200

## yakuake-trinity 14.1.3

=== debian/changelog ===
yakuake-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:34:04 +0200

## yakuake-trinity 14.1.4

=== debian/changelog ===
yakuake-trinity (4:14.1.4-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://extragear.kde.org/apps/yakuake/

## yakuake-trinity 14.1.5~pre2

=== debian/changelog ===
yakuake-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 85d314315c9647c18eefacc61d577c522e796b23
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 02 Oct 2025 23:04:05 +0200

## yakuake-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( yakuake )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -28,7 +31,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )

=== yakuake/CMakeLists.txt ===
add_subdirectory( src )
add_subdirectory( skins )

=== yakuake/skins/default/CMakeLists.txt ===
add_subdirectory( title )
add_subdirectory( tabs )


install(
    FILES tabs.skin title.skin icon.png
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/default
)

=== yakuake/skins/plastik_dark/CMakeLists.txt ===
add_subdirectory( title )
add_subdirectory( tabs )


install(
    FILES tabs.skin title.skin icon.png
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/plastik_dark
)

=== yakuake/skins/default/title/CMakeLists.txt ===
install(

    FILES
        back.png
        config_down.png
        config_over.png
        config_up.png
        focus_down.png
        focus_over.png
        focus_up.png
        left.png
        quit_down.png
        quit_over.png
        quit_up.png
        right.png
        
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/default/title
)

=== yakuake/skins/plastik_dark/tabs/CMakeLists.txt ===
install(
    
    FILES
        back_image.png
        left_corner.png
        minus_down.png
        minus_over.png
        minus_up.png
        plus_down.png
        plus_over.png
        plus_up.png
        right_corner.png
        selected_back.png
        selected_left.png
        selected_right.png
        unselected_back.png
        separator.png
    
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/plastik_dark/tabs
)

=== yakuake/skins/plastik_light/tabs/CMakeLists.txt ===
install(
    FILES
        back_image.png
        left_corner.png
        minus_down.png
        minus_over.png
        minus_up.png
        plus_down.png
        plus_over.png
        plus_up.png
        right_corner.png
        selected_back.png
        selected_left.png
        selected_right.png
        unselected_back.png
        separator.png
        
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/plastik_light/tabs
)

=== debian/changelog ===
yakuake-trinity (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 02 Oct 2025 23:04:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libltdl-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://extragear.kde.org/apps/yakuake/
 
 Package: yakuake-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, konsole-trinity
-Replaces: yakuake-trinity (<< 4:14.0.0~)
-Breaks: yakuake-trinity (<< 4:14.0.0~)
+Replaces: yakuake-kde3 (<< 4:14.0.0~), yakuake-trinity (<< 4:14.0.0~)
+Breaks: yakuake-kde3 (<< 4:14.0.0~), yakuake-trinity (<< 4:14.0.0~)
 Description: a Quake-style terminal emulator based on TDE Konsole technology [Trinity]
  YaKuake is inspired from the terminal in the Quake game: when you press a key 
  (by default F12, but that can be changed) a terminal window slides down from

## yakuake-trinity 14.1.6~pre1

=== debian/changelog ===
yakuake-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for fa0a57c9fb6eac36ba1c5786b735428191b46293
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Nov 2025 22:37:01 +0100

## yakuake-trinity 14.1.6~pre2

=== debian/changelog ===
yakuake-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c0c7eda3525345da5b10f65b2d51e3066bf372d5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:08:06 +0100

## yakuake-trinity 14.2.0~pre34

=== debian/changelog ===
yakuake-trinity (4:14.2.0~pre34-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 268a1246f2e82db7ff57d547fcbc770cf4e01c9a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 02 Oct 2025 12:15:33 +0200

## yakuake-trinity 14.2.0~pre36

=== yakuake/src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### yakuake (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        dcop_interface.skel
        first_run_dialog.cpp
        first_run_dialog_ui.ui
        general_settings.cpp
        general_settings_ui.ui
        image_button.cpp
        main.cpp
        main_window.cpp
        session.cpp
        settings.kcfgc
        skin_list_item.cpp
        skin_settings.cpp
        skin_settings_ui.ui
        tabbed_widget.cpp
        tab_bar.cpp
        terminal.cpp
        terminal_focus_watcher.cpp
        terminal_splitter.cpp
        title_bar.cpp
        translucent_widget.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

install(
    FILES ${PROJECT_NAME}.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

=== debian/changelog ===
yakuake-trinity (4:14.2.0~pre36-0debian11.0.0+6) bullseye; urgency=low

  * Automated git build for 6935df9230d3c87d5601565221bd5bd3e19d86df
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 08 Nov 2025 19:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: yakuake-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, konsole-trinity
-Replaces: yakuake-kde3 (<< 4:14.0.0~), yakuake-trinity (<< 4:14.0.0~)
-Breaks: yakuake-kde3 (<< 4:14.0.0~), yakuake-trinity (<< 4:14.0.0~)
+Replaces: yakuake-trinity (<< 4:14.0.0~)
+Breaks: yakuake-trinity (<< 4:14.0.0~)
 Description: a Quake-style terminal emulator based on TDE Konsole technology [Trinity]
  YaKuake is inspired from the terminal in the Quake game: when you press a key 
  (by default F12, but that can be changed) a terminal window slides down from

## yakuake-trinity 14.2.0~pre37

=== debian/changelog ===
yakuake-trinity (4:14.2.0~pre37-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for dd999fa42f2c11f38eb78c12560049b91f0a5471
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#yakuake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:09:08 +0100
